GARGOYLE(6)

NAME
gargoyle - interactive fiction player <https://github.com/garglk/garglk>

SYNOPSIS
gargoyle [story]
gargoyle -d --dump-config
gargoyle -e --edit-config
gargoyle -m --migrate-config
gargoyle -p --paths [story]
gargoyle -t --themes

DESCRIPTION
gargoyle is an interactive fiction player that supports all the major interactive fiction formats, including:

•   AGT
•   Adrift (excluding Adrift 5)
•   AdvSys
•   Alan 2 and 3
•   Glulx
•   Hugo
•   JACL
•   Level 9
•   Magnetic Scrolls
•   Scott Adams
•   TADS 2 and 3
•   Z-machine

If story is provided, it will be played. Otherwise, a file chooser will be displayed so a story can be selected.

The following options are available:

-d, --dump-config
    Dump the default config file to standard output.

-e, --edit-config
    Open Gargoyle's configuration file in a text editor, first creating it if necessary.

-m, --migrate-config
    Search for a move a legacy configuration file to the preferred location. In general, on Unix systems, this will mean renaming $HOME/.garglkrc to $HOME/.config/garglk.ini.

-p, --paths
    Display a list of configuration file paths as well as theme paths that will be used at runtime. If story is provided, game-specific configuration paths will be included.

-t, --themes
    Display a list of available color themes.

CONFIGURATION
gargoyle is highly configurable, although all configuration is done through a text-based configuration file. To edit the configuration file, use <control-comma> while Gargoyle is running (<command-comma> on Mac), which will open the configuration file in a text editor. The configuration file can also be edited directly. The following locations are tried in order:

•   $XDG_CONFIG_HOME/garglk.ini or $HOME/.config/garglk.ini
•   $HOME/.garglkrc

In addition, game-specific and directory-specific overrides are available. For game-specific overrides, the game extension is removed and replaced with ini. For example, zork1.z3 becomes zork1.ini. If this file exists, it will be treated as a configuration file. For directory-specific overrides, if the file garglk.ini exists in the same directory as the game, it will be treated as a configuration file.

Finally, it is possible for a global configuration file to be installed. This is often the file /etc/garglk.ini, but this is configurable at build time, and may also be disabled.

To see exactly which locations are being used, pass the -p or --paths flag to gargoyle. Note that this will not include game- or directory-specific configuration files.

Configuration files are additive: first, the global configuration file is parsed. Next, the user's configuration file ( such as $HOME/.config/garglk.ini) is parsed, with all of its provided options replacing whatever was specified in the global configuration file. Finally, if there is a directory-specific and/or game-specific configuration file, their options will replace any existing options. Configuration files need not provide all options. This allows, for example, a game to select only the colors to be used, while respecing all of the user's other choices.

AUTHORS
Tor Andersson Ben Cressey Chris Spiegel <cspiegel@gmail.com>